<?php

/**
 * About page template.
 * 
 * @package ThemeStarter
 */

?>

<!-- Get Header -->
<?php get_header(); ?>

<?php get_template_part('template-parts/partials/page-header') ?>

<!-- About Us Page Template -->
<section class="bg-gray-100">

  <div class="py-8 px-2 lg:px-0 max-w-7xl mx-auto">

    <div class="text-center mb-8">
      <h2 class="text-4xl text-stone-600 font-black"><span class="text-red-500">Rogers</span> Motors</h2>
    </div>

    <div class="grid lg:grid-cols-2 gap-8">

      <div>
        <img src="<?= get_template_directory_uri() ?>/assets/images/bgs/rm-dealership-exterior.jpg" alt="Family Buying Car">
      </div>

      <div class="bg-white px-4 md:px-8 py-8">
        <div class="mx-auto about-section prose">
          <h2>About Roger's Motors</h2>
          <div class="border-t-4 border-red-500 mb-4"></div>
          <p><span class="text-red-500 font-bold">ROGER'S MOTORS</span> was founded in 2004 by Refaat Toma and his three sons, Roger, Reyad, and Mathew. Refaat Toma graduated with his bachelor's degree in Aeronautical and Automobile Engineering from Chelsea College in 1980 and has been a Licensed Mechanic ever since.</p>
          <p>Our <strong>No-Haggle Pricing</strong> and <strong>No Salesman</strong> approach not only make our service stand out but more importantly make your shopping experience as joyful as it should be. It ensures you that everyone you meet at our dealership is out to serve your needs.</p>
          <p>Serving the <strong>OAKVILLE</strong> area, ROGER'S MOTORS ONTARIO, located at <strong>1035 SPEERS RD</strong> in <strong>OAKVILLE, ON</strong>, has helped, and continues to help thousands of families get into the car of their needs. Call us at <strong>(888) 712-6775</strong></p>
          <blockquote>
            <p>Christ is the head of this company. The unseen partner at every transaction. The silent listener at every conversation. The final judge of all decisions. In His love, this company is kept. And to His Glory, this company is dedicated.</p>
          </blockquote>
          <p>Thank you for visiting our website, and we look forward to meeting you.</p>
          <p class="font-medium italic">Roger's Motors Family</p>
        </div>

      </div>

    </div>

</section>

<!-- Get Footer -->
<?php get_footer(); ?>