<?php

/**
 * Privacy Policy page template.
 * 
 * @package ThemeStarter
 */

?>

<!-- Get Header -->
<?php get_header(); ?>

<?php get_template_part('template-parts/partials/page-header') ?>

<!-- Privacy Policy Page Template -->
<section class="flex h-full items-center justify-center">
  <div class="max-w-7xl mx-auto prose px-4 py-8">
    <h1>PRIVACY STATEMENT</h1>
    <h2>SECTION 1 - WHAT DO WE DO WITH YOUR INFORMATION?</h2>
    <p>When you use our website, as part of the purchase process, we collect the personal information you give us such as your name, address, and email address.</p>
    <p>When you browse our website, we also automatically receive your computer's internet protocol (IP) address in order to provide us with information that helps us learn about your browser and operating system.</p>
    <p>Email marketing (if applicable): With your permission, we may send you emails about our website, new products, and other updates.</p>

    <h2>SECTION 2 - CONSENT</h2>
    <h3>How do you get my consent?</h3>
    <p>When you provide us with personal information via an inquiry, we imply that you consent to our collecting it and using it for that specific reason only.</p>
    <p>If we ask for your personal information for a secondary reason, like marketing, we will either ask you directly for your expressed consent or provide you with an opportunity to say no.</p>
    <h3>How do I withdraw my consent?</h3>
    <p>If after you opt-in, you change your mind, you may withdraw your consent for us to contact you, for the continued collection, use or disclosure of your information, at any time, by contacting us at (888) 750-5952.</p>

    <h2>SECTION 3 - DISCLOSURE</h2>
    <p>We may disclose your personal information if we are required by law to do so.</p>
    <h3>Payment:</h3>
    <p>If you use your credit card to reserve a vehicle or order parts or a service, then Rogers Motors Ontario stores your credit card data. It is encrypted through the Payment Card Industry Data Security Standard (PCI-DSS). Your purchase transaction data is stored only as long as is necessary to complete your purchase transaction. After that is complete, your purchase transaction information is deleted.</p>
    <p>All direct payment gateways adhere to the standards set by PCI-DSS as managed by the PCI Security Standards Council, which is a joint effort of brands like Visa, MasterCard, American Express, and Discover.</p>
    <p>PCI-DSS requirements help ensure the secure handling of credit card information by our website and its service providers.</p>

    <h2>SECTION 4 - THIRD-PARTY SERVICES</h2>
    <p>In general, the third-party providers used by us will only collect, use and disclose your information to the extent necessary to allow them to perform the services they provide to us.</p>
    <p>However, certain third-party service providers, such as payment gateways and other payment transaction processors, have their own privacy policies in respect to the information we are required to provide to them for your purchase-related transactions.</p>
    <p>For these providers, we recommend that you read their privacy policies so you can understand the manner in which your personal information will be handled by these providers.</p>
    <p>Once you leave our website or are redirected to a third-party website or application, you are no longer governed by this Privacy Policy or our website's Terms of Service.</p>
    <h3>Links</h3>
    <p>When you click on links on our website, they may direct you away from our site. We are not responsible for the privacy practices of other sites and encourage you to read their privacy statements.</p>

    <h2>SECTION 5 - SECURITY</h2>
    <p>To protect your personal information, we take reasonable precautions and follow industry best practices to make sure it is not inappropriately lost, misused, accessed, disclosed, altered, or destroyed.</p>
    <p>If you provide us with your credit card information, the information is encrypted. Although no method of transmission over the Internet or electronic storage is 100% secure, we follow all PCI-DSS requirements and implement additional generally accepted industry standards.</p>

    <h2>SECTION 6 – COOKIES</h2>
    <p>Here is a list of cookies that we use. We've listed them here so that you can choose if you want to opt-out of cookies or not.</p>
    <ul>
      <li>_session_id, unique token, sessional, Allows Rogers Motors Ontario to store information about your session (referrer, landing page, etc).</li>
      <li>Rogers Motors Ontario visit, no data held, Persistent for 30 minutes from the last visit. Used by our website provider's internal stats tracker to record the number of visits.</li>
      <li>Rogers Motors Ontario uniq, no data held, expires midnight (relative to the visitor) of the next day, Counts the number of visits to a website by a single customer.</li>
      <li>_secure_session_id, unique token, sessional</li>
    </ul>

    <h2>SECTION 7 - ADVERTISING POLICY</h2>
    <ol>
      <li>Ensure any ad data collected, received or derived from your Facebook or Instagram ad (“Facebook advertising data”) is only shared with someone acting on your behalf, such as your service provider. You are responsible for ensuring your service providers protect any Facebook advertising data or any other information obtained from us, limit their use of all of that information, and keep it confidential and secure.</li>
      <li>Don’t use Facebook advertising data for any purpose (including retargeting, commingling data across multiple advertisers’ campaigns, or allowing piggybacking or redirecting with tags), except on an aggregate and anonymous basis (unless authorized by Facebook) and only to assess the performance and effectiveness of your Facebook advertising campaigns.</li>
      <li>Don’t use Facebook advertising data, including the targeting criteria for your ad, to build, append to, edit, influence, or augment user profiles, including profiles associated with any mobile device identifier or other unique identifier that identifies any particular user, browser, computer, or device.</li>
      <li>Don't transfer any Facebook advertising data (including anonymous, aggregate, or derived data) to any ad network, ad exchange, data broker, or other advertising or monetization related service.</li>
    </ol>

    <h2>SECTION 8 - AGE OF CONSENT</h2>
    <p>By using this site, you represent that you are at least the age of majority in your state or province of residence, or that you are the age of majority in your state or province of residence and you have given us your consent to allow any of your minor dependents to use this site.</p>

    <h2>SECTION 9 - CHANGES TO THIS PRIVACY POLICY</h2>
    <p>We reserve the right to modify this privacy policy at any time, so please review it frequently. Changes and clarifications will take effect immediately upon their posting on the website. If we make material changes to this policy, we will notify you here that it has been updated, so that you are aware of what information we collect, how we use it, and under what circumstances, if any, we use and/or disclose it.</p>
    <p>If our website is acquired or merged with another company, your information may be transferred to the new owners so that we may continue to sell products to you.</p>

    <h2>QUESTIONS AND CONTACT INFORMATION</h2>
    <p>If you would like to: access, correct, amend or delete any personal information we have about you, register a complaint, or simply want more information contact us at (888) 750-5952 or mail to us at 1035 Speers Rd, Oakville, ON, L6L2X5.</p>
  </div>
</section>

<!-- Get Footer -->
<?php get_footer(); ?>