<?php

/**
 * Rust Proof Page Template
 * 
 * @package ThemeStarter
 */

?>

<!-- Get Header -->
<?php get_header(); ?>

<?php get_template_part('template-parts/partials/page-header') ?>

<section>
  <!--  -->
  <div class="text-center py-4 px-4">
    <h1 class="text-3xl font-bold">Rust Proof Benefits</h1>
    <p class="text-lg">Protection with a focus on Safety, Appearance and Huge Savings</p>
  </div>

  <!-- Main Content -->
  <div class="max-w-7xl mx-auto px-2">

    <div class="bg-gray-100 py-8 px-4 md:px-8 lg:px-16 xl:px-24 mb-8">
      <div class="max-w-4xl mx-auto text-center">
        <h2 class="text-3xl md:text-4xl lg:text-5xl font-bold text-gray-800 mb-6">Oakville's #1 spot for <span class="text-red-500 uppercase">Corrosion Protection</span> & Rust Proofing</h2>
        <p class="sm:text-lg md:text-xl lg:text-2xl text-gray-600 mb-8">FINALLY, AN ENVIRONMENTALLY FRIENDLY WAY TO PROTECT YOUR ENTIRE VEHICLE BODY.</p>
        <p class="sm:text-lg text-gray-700 mb-8">Fighting rust is a must. Despite advances in auto manufacturing, you need corrosion protection that goes beyond the manufacturer's limited rust warranty. Final Coat's CM-3000 electromagnetic rust inhibitor offers the most advanced corrosion protection available. And for today's hybrid and electric vehicles, the same unmatched corrosion protection is now available with the Final Coat BPH-5000 hybrid model.</p>
        <p class="sm:text-lg text-gray-700 mb-8">ROGER'S MOTORS OAKVILLE<br> REGISTERED PARTNERS</p>
        <p class="text-xl md:text-2xl lg:text-3xl font-bold text-blue-600">$799 Installed</p>
        <p class="sm:text-lg text-gray-700 mb-8">Contact Us about our Rust Proofing & Corrosion Protection</p>
      </div>
    </div>


    <!-- Rust Proof Image -->
    <div class="text-center mb-8">
      <img src="<?= get_template_directory_uri(); ?>/assets/images/bgs/rust-proof.png"" alt=" Rust Proof" class="max-w-full mx-auto rounded-lg shadow-md">
    </div>

    <!-- Benefits Section -->
    <div class="bg-white rounded-lg shadow-md px-4 py-6 mb-4">
      <h2 class="text-2xl font-bold mb-4">Benefits</h2>
      <p class="mb-4">Temperature changes from cold to hot … freezing and thawing is devastating to the seams and spot welds of a vehicle. Trapped moisture freezes and the expansion of the crevice ruptures the paint and creates a cavity that only needs the warm sun to cook the rot. Rust and corrosion undermine the structural integrity and negatively affect the overall appearance of your vehicle and reduce the value and life of the vehicle.</p>
      <p class="mb-4">Rust Proofing gives your vehicle the ability to fight back!</p>
      <p class="mb-4">Rust Proof protects your vehicle against damage caused by severe temperature changes, acid rain and winter driving conditions. It is designed to penetrate the seams and crevices. It eliminates moisture and maintains a dry Arizona-type condition in the inner panels. That's why vehicles don't rust in the Arizona desert.</p>
      <p class="mb-4">It prevents rust and corrosion in all metals, it protects vinyl and plastic surfaces from UV rays and improves the function of moving parts through lubrication.</p>
      <p class="mb-4">Unlike oil spray applications, our Rust Proof has the ability to cling to the metal, even in high pressure car washes.</p>
      <p class="mb-4">The low cost of a Rust Proof treatment makes a lot of sense and gives customers peace of mind.</p>
    </div>

    <!-- Value Added Bonus Features Section -->
    <div class="bg-white rounded-lg shadow-md px-4 py-6 mb-4">
      <h2 class="text-2xl font-bold mb-4">Value Added Bonus Features with Rust Proof</h2>
      <ul class="list-disc list-inside">
        <li>Prevents stone chips from festering</li>
        <li>Prevents gas lines from rotting</li>
        <li>Prevents moisture in seams from freezing</li>
        <li>Maintains structural integrity of frame</li>
        <li>Prevents door locks from freezing</li>
        <li>Penetrates and lubricates nuts and bolts</li>
        <li>Eliminates squeaks and creaks plus smoothes the operation of hinges & cables</li>
        <li>Lubricates window, door mechanisms and power antennas</li>
        <li>Protects rubber and vinyl trim from UV</li>
        <li>Preserves the factory new lock</li>
        <li><strong>BEST OF ALL, IT'S SAFE AND NON-HAZARDOUS</strong></li>
      </ul>
    </div>

  </div>
</section>

<!-- Get Footer -->
<?php get_footer(); ?>