<?php

/**
 * Schedule Service page template.
 * 
 * @package ThemeStarter
 */

?>

<!-- Get Header -->
<?php get_header(); ?>

<?php get_template_part('template-parts/partials/page-header') ?>

<section>
  <div class="max-w-7xl mx-auto space-y-4 px-4 py-8">
    <h2 class="font-bold text-xl">Welcome to Our Service Department</h2>
    <p>At Rogers Motors, our highly qualified technicians are here to provide exceptional service in a timely manner. From oil changes to transmission replacements, we are dedicated to maintaining top tier customer service, for both new and pre-owned car buyers! Allow our staff to demonstrate our commitment to excellence.</p>
    <h2 class="font-bold text-xl">What Happens After I Schedule an Appointment?</h2>
    <p>Please use our online form to schedule your next service appointment, or call (905) 618-0350. We are standing by to answer your questions and get you in the door as quickly as possible. Upon submitting your information we will:</p>
    <ul class="list-disc list-inside">
      <li>Respond to you promptly via your preferred contact method.</li>
      <li>Ask any additional questions required to service your vehicle.</li>
      <li>Confirm your appointment.</li>
    </ul>
  </div>
</section>

<!-- Schedule Service Form Template -->
<section class="max-w-7xl mx-auto">
  <iframe height="1000px" width="100%" src="https://portal.autocart.ca/search-customer" title="registerclient" id='portal_iframe'>
  </iframe>
  <script>
    window.addEventListener('message', function(event) {
      if (event.origin === 'https://portal.autocart.ca') {
        if (event.data === 'portal_scrollToTop') {
          const iframeElement = document.getElementById('portal_iframe');
          if (iframeElement) {
            const targetPosition = iframeElement.getBoundingClientRect().top + window.scrollY - 100;
            window.scrollTo({
              top: targetPosition,
              behavior: 'smooth'
            });
          }
        }
      }
    });
  </script>
</section>

<!-- Get Footer -->
<?php get_footer(); ?>