<?php

/**
 * Warranty Plans Page Template
 * 
 * @package ThemeStarter
 */

?>

<!-- Get Header -->
<?php get_header(); ?>

<?php get_template_part('template-parts/partials/page-header') ?>

<!-- Warrantly Plan -->
<section class="max-w-7xl mx-auto px-4">
  <div class="py-8">
    <h1 class="text-3xl font-bold mb-4">Protect Your Vehicle</h1>
    <div class="border-t-4 border-red-500 mb-4"></div>

    <!-- Certified Vehicles Section -->
    <div class="bg-white rounded-lg shadow-md p-6 mb-8">
      <h2 class="text-lg md:text-2xl font-semibold mb-2">Certified Vehicles Warranty:</h2>
      <p class="mb-2">For all our certified vehicles, we include a free 30-day, 100% mechanical warranty.</p>
    </div>

    <!-- Extended Powertrain Warranty Section -->
    <div class="bg-white rounded-lg shadow-md p-6 mb-8 border border-stone-200">
      <div class="sm:flex md:space-x-4 items-center justify-center">
        <h2 class="text-center text-lg md:text-2xl font-semibold">Extended Powertrain Warranty</h2>
        <p class="flex items-center justify-center font-semibold p-4 bg-green-500 text-white rounded-md">FROM $899</p>
      </div>
      <div class="border-t-4 w-3/5 mx-auto border-red-500 my-4"></div>
      <p class="mb-2">Coverage includes:</p>
      <ul class="list-disc list-inside mb-4">
        <li>Engine</li>
        <li>Transmission & Rear End</li>
        <li>Turbo/Supercharger (Manufacturer installed and approved)</li>
        <li>Seals & Gaskets (within covered components)</li>
      </ul>
      <p class="mb-2">Parts and labour with $90 deductible (if repair is performed at Roger's Motors a $0 deductible will apply)</p>
      <p class="p-4 bg-red-500 text-center text-white font-medium rounded-md">$2,500 per claim, or optional $5,000 per claim</p>
    </div>

    <!-- Top Up Warranty Section -->
    <div class="bg-white rounded-lg shadow-md p-6 mb-8 border border-stone-200">
      <div class="sm:flex md:space-x-4 items-center justify-center">
        <h2 class="text-center text-lg md:text-2xl font-semibold mb-2">Top Up Warranty</h2>
        <p class="flex items-center justify-center font-semibold p-4 bg-green-500 text-white rounded-md">FROM $949</p>
      </div>
      <div class="border-t-4 w-3/5 mx-auto border-red-500 my-4"></div>
      <p class="mb-2">Coverage includes:</p>
      <!-- List of coverage items -->
      <ul class="list-disc list-inside mb-4">
        <li>Air Conditioning components: compressor, compressor clutch, compressor bearing & pulley, air condenser, air evaporator</li>
        <!-- Additional coverage items -->
        <!-- Add other coverage items here -->
      </ul>
      <p class="mb-2">Parts and labour with $90 deductible (if repair is performed at Roger's Motors a $0 deductible will apply)</p>
      <p class="p-4 bg-red-500 text-center text-white font-medium rounded-md">$2,500 per claim</p>
    </div>

    <!-- Optima Pre-Owned Warranty Section -->
    <div class="bg-white rounded-lg shadow-md p-6 mb-8 border border-stone-200">
      <div class="sm:flex md:space-x-4 items-center justify-center">
        <h2 class="text-center text-lg md:text-2xl font-semibold mb-2">Optima Pre-Owned Warranty</h2>
        <p class="flex items-center justify-center  font-semibold p-4 bg-green-500 text-white rounded-md">FROM $2549</p>
      </div>
      <div class="border-t-4 w-3/5 mx-auto border-red-500 my-4"></div>
      <p class="mb-2">Coverage includes:</p>
      <!-- List of coverage items -->
      <ul class="list-disc list-inside mb-4">
        <li>All components covered by the above Extended Powertrain Warranty and Top Up Warranty, as well as:</li>
        <!-- Additional coverage items -->
        <!-- Add other coverage items here -->
      </ul>
      <p class="p-4 bg-red-500 text-center text-white font-medium rounded-md">$3,000 per claim, or optional $5,000 per claim</p>
    </div>
  </div>
</section>

<!-- Get Footer -->
<?php get_footer(); ?>